package com.tuoheng.admin.service.channel;

import com.tuoheng.admin.entity.Channel;
import com.tuoheng.admin.query.ChannelQuery;
import com.tuoheng.common.core.common.IBaseService;
import com.tuoheng.common.core.utils.JsonResult;


/**
 * @Author ChengWang
 * @Date 2022/11/16
 */
public interface ChannelService extends IBaseService<Channel> {

    JsonResult queryPage(ChannelQuery query);

    JsonResult getListInfo(ChannelQuery query);

    JsonResult getListByDeptId(String deptId);

    JsonResult editInfo(Channel entity);

    JsonResult getListByUserType();


}
